=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kidentitymanagement
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.0.0),
@@ -16,17 +17,17 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 24.12.3~),
+               libkpimtextedit-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
                qt6-declarative-private-dev,
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kidentitymanagement
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
 Rules-Requires-Root: no
 
 Package: libkidentitymanagement-data
@@ -46,7 +47,7 @@
          libkpim6identitymanagementcore6 (= ${binary:Version}),
          libkpim6identitymanagementquick6 (= ${binary:Version}),
          libkpim6identitymanagementwidgets6 (= ${binary:Version}),
-         libkpimtextedit-dev (>= 24.12.3~),
+         libkpimtextedit-dev (>= 25.07.80~),
          qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
          ${misc:Depends},
 Description: library for managing user identities - development files
