=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-ktextaddons-dev,
               kf6-ktextwidgets-dev,
               kf6-kxmlgui-dev,
               kpim6-kpimtextedit-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kidentitymanagement
Vcs-Git: https://invent.kde.org/neon/kde/kidentitymanagement.git
Vcs-Browser: https://invent.kde.org/neon/kde/kidentitymanagement
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kidentitymanagement-dev
Section: libdevel
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-ktextaddons-dev,
         kpim6-kidentitymanagement (= ${binary:Version}),
         kpim6-kpimtextedit-dev,
         ${misc:Depends}
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: kpim6-kidentitymanagement
Architecture: any
X-Neon-MergedPackage: true
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kirigamiaddons,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagement6
Architecture: all
Depends: kpim6-kidentitymanagement, ${misc:Depends}
Provides: libkf5identitymanagement5, libkf6identitymanagement6
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6identitymanagementquick6
Architecture: all
Depends: kpim6-kidentitymanagement, ${misc:Depends}
Provides: libkf5identitymanagementquick5, libkf6identitymanagementquick6
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6identitymanagementwidgets6
Architecture: all
Depends: kpim6-kidentitymanagement, ${misc:Depends}
Provides: libkf5identitymanagementwidgets5, libkf6identitymanagementwidgets6
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6identitymanagement-data
Architecture: all
Depends: kpim6-kidentitymanagement, ${misc:Depends}
Provides: libkf5identitymanagement-data, libkf6identitymanagement-data
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6identitymanagement-dev
Architecture: all
Depends: kpim6-kidentitymanagement-dev, ${misc:Depends}
Provides: libkf5identitymanagement-dev, libkf6identitymanagement-dev
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-kidentitymanagement
Architecture: all
Depends: kpim6-kidentitymanagement, ${misc:Depends}
Provides: qml5-module-org-kde-kidentitymanagement
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6identitymanagement6
Architecture: all
Depends: libkpim6identitymanagement6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6identitymanagementquick6
Architecture: all
Depends: libkpim6identitymanagementquick6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6identitymanagementwidgets6
Architecture: all
Depends: libkpim6identitymanagementwidgets6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6identitymanagement-data
Architecture: all
Depends: libkpim6identitymanagement-data, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6identitymanagement-dev
Architecture: all
Depends: libkpim6identitymanagement-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5identitymanagement5
Architecture: all
Depends: libkpim6identitymanagement6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5identitymanagementquick5
Architecture: all
Depends: libkpim6identitymanagementquick6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5identitymanagementwidgets5
Architecture: all
Depends: libkpim6identitymanagementwidgets6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5identitymanagement-data
Architecture: all
Depends: libkpim6identitymanagement-data, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5identitymanagement-dev
Architecture: all
Depends: libkpim6identitymanagement-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-kde-kidentitymanagement
Architecture: all
Depends: qml6-module-org-kde-kidentitymanagement, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
