=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.0.0),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkpimtextedit-dev (>= 25.08.1~),
               libktextaddons-dev (>= 1.5.4~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-declarative-private-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kidentitymanagement
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kidentitymanagement
Rules-Requires-Root: no

Package: libkidentitymanagement-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for managing user identities - data files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkidentitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6coreaddons-dev (>= 6.6.0~),
         libkpim6identitymanagementcore6 (= ${binary:Version}),
         libkpim6identitymanagementquick6 (= ${binary:Version}),
         libkpim6identitymanagementwidgets6 (= ${binary:Version}),
         libkpimtextedit-dev (>= 25.08.1~),
         qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
         ${misc:Depends},
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkpim6identitymanagementcore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementquick6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim6identitymanagementwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities with widgets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml6-module-org-kde-kidentitymanagement
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: library for managing user identities (QML module)
 This library provides an API for managing user identities with widgets.
 .
 This package contains the QML module for kidentitymanagement.
 .
 This package is part of the KDE Development Platform PIM libraries module.
