=== debian/changelog ===
kidentitymanagement (25.08.1+p24.04+vstable+git20250914.1456-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 14:56:39 +0000

kidentitymanagement (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:07:35 +0000
