## kidentitymanagement 25.08.1+p24.04+vstable+git20250930.0514

=== debian/changelog ===
kidentitymanagement (25.08.1+p24.04+vstable+git20250930.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:14:18 +0000
